BacktrackingSolver
Keywords: yacs.solver.fdsolver.search.BacktrackingSolver class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## yacs.solver.fdsolver.search
Class BacktrackingSolver

    java.lang.Object
      yacs.solver.SearchSolver
          yacs.solver.fdsolver.search.BacktrackingSolver

All Implemented Interfaces:
  Solver

public class BacktrackingSolver
extends SearchSolver

Einfacher Backtracking-Solver zur Lösungssuche in einem Constraint-Problem mit finiten Domänen nach Dechter und Frost (1998, S. 13) bzw. Dechter und Frost (2002, S. 152). Der Solver wurde dahingehend modifiziert, dass anstatt lediglich einer Lösung alle möglichen Lösungen eines Problems gefunden werden.

Copyright (C) 2005 Wolfgang Runte
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Version:
  YACS 0.1.1
Author:
  Wolfgang Runte (woru@tzi.org)

Constructor Summary
`BacktrackingSolver()`

Method Summary
`boolean` | `search(ConstraintNet constraintNet)` Benötigt als Eingabe ein Constraint-Netz.

Methods inherited from class yacs.solver.SearchSolver
`evaluate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BacktrackingSolver

    public BacktrackingSolver()

Method Detail

### search

    public boolean search(ConstraintNet constraintNet)
                   throws InconsistencyException

  Benötigt als Eingabe ein Constraint-Netz. Liefert `true`, wenn Wertebereichseinschränkungen vorgenommen wurden, `false` wenn nicht.

  Specified by:
    `search` in class `SearchSolver`
  Parameters:
    `constraintNet` - ConstraintNet
  Returns:
    boolean
  Throws:
    `InconsistencyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD